Get a developer's profile, all their apps and the same company in the other store.
curl --request GET \
--url https://api.appgoat.ai/v1/developers/{dev} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/developers/{dev}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/developers/{dev}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"store": "apple",
"developer_id": "<string>",
"name": "<string>",
"url": "<string>",
"website": "<string>",
"domain": "<string>",
"country": "<string>",
"privacy_url": "<string>",
"app_count": 123,
"total_ratings": 123,
"total_installs": 123,
"top_category": "<string>",
"apps": [
{
"store": "apple",
"app_id": "<string>",
"title": "<string>",
"developer_name": "<string>",
"icon_url": "<string>",
"category": "<string>",
"rating": 123,
"ratings_count": 123,
"installs_min": 123,
"price": 123
}
],
"linked": [
{}
]
},
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Developers
Get developer
Name, store page, website and domain, country, app count, total ratings and installs, top category, their apps (most ratings first) and the linked developer in the other store.
GET
/
developers
/
{dev}
Get a developer's profile, all their apps and the same company in the other store.
curl --request GET \
--url https://api.appgoat.ai/v1/developers/{dev} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/developers/{dev}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/developers/{dev}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"store": "apple",
"developer_id": "<string>",
"name": "<string>",
"url": "<string>",
"website": "<string>",
"domain": "<string>",
"country": "<string>",
"privacy_url": "<string>",
"app_count": 123,
"total_ratings": 123,
"total_installs": 123,
"top_category": "<string>",
"apps": [
{
"store": "apple",
"app_id": "<string>",
"title": "<string>",
"developer_name": "<string>",
"icon_url": "<string>",
"category": "<string>",
"rating": 123,
"ratings_count": 123,
"installs_min": 123,
"price": 123
}
],
"linked": [
{}
]
},
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Authorizations
Create a key at https://dash.appgoat.ai.
Path Parameters
apple:<artist id>, play:<developer id>, a numeric Apple artist id, a Play developer id (often the name), or the website domain (spotify.com).
Example:
"apple:324684583"
Query Parameters
Disambiguates {app} (a bundle id vs a Play package, or a name).
Available options:
apple, play Comma list of top-level fields to return (identifiers are always kept), e.g. title,rating,version.